[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# THdrEvent

Specifies an event handler signalled when an event occurs in a fixed header cell.

## Declaration

Source position: grids.pas line 358

`type THdrEvent = procedure(`
`Sender: TObject;`
`IsColumn: Boolean;`
`Index: Integer`
`) of object;`

## Arguments

`Sender` |  | Control generating the event notification.
`IsColumn` |  | True if the event applies to a column header; False when a row header is affected.
`Index` |  | Index position for the row or column in the event notification.

## Description

THdrEvent specifies an event handler signalled when an event occurs in a column header. Arguments passed to the event handler indicate whether the action occurred for a column or a row header, and the index position for the row or column.

THdrEvent is the type used to implement the OnHeaderClick and OnHeaderSized properties in TCustomDrawGrid. Applications must implement an object procedure using the event signature to respond to the event notification.

## See also

TCustomDrawGrid.OnHeaderClick |  | Event handler signalled when the fixed header for a column or row is clicked.
TCustomDrawGrid.OnHeaderSized |  | Event handler signalled when a column or row header has been resized.